<?php $pageTitle='Create an imager';
include realpath(__DIR__).'/../../core/_common/header.php'; ?>
<script type="text/javascript">
window.addEventListener('DOMContentLoaded',function(){

	const grid=ui.grid();

    const detailsBox = grid.box({
        classes: 'r1 c1 h3 w1',
        title: 'Details'
    });

    const frm = detailsBox.form({
        action: '/api/imager/',
        method: 'post',
    });
    frm.textField({ label:"Serial", name:'name', value:'' });
	frm.textField({ label:"Friendly name", name:'friendlyname', value:'' });
	frm.textField({ label:"Manufacturer", name:'manufacturer', value:'' });
	frm.textField({ label:"Temperature", name:'temperature', value:'' });
	frm.textField({ label:"Plate capacity", name:'platecapacity', value:'' });
	frm.textField({ label:"Alert plate loading", name:'alertlevel', value:'' });
	frm.textField({ label:"Critical plate loading", name:'warninglevel', value:'' });
	frm.createButton();
});
</script>
<?php include realpath(__DIR__).'/../../core/_common/footer.php';